Subject: Re: [PATCH net-next 0/2] Add support for VSOL V2801F/CarlitoxxPro CPGOS03 GPON module

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 9 Dec 2020 11:17:32 +0000

Oh, it's because Pali Rohar's name contains UTF-8 and I can't
encode that prior to sending the actual patches themselves.

Sorry, I'm going to have to have to limit to ASCII only in the
header lines when mailing list patches - scripting the encoding
for UTF-8 characters in shell is far from simple.

On Wed, Dec 09, 2020 at 11:11:09AM +0000, Russell King - ARM Linux admin wrote:
> Jakub,
> 
> What's happening with these patches?
> 
> If I'm getting the patchwork URLs correct, these patches seem not to
> appear in patchwork. They both went to netdev as normal and where
> accepted by vger from what I can see.
> 
> Thanks.
> 
> On Fri, Dec 04, 2020 at 02:34:52PM +0000, Russell King - ARM Linux admin wrote:
> > Hi,
> > 
> > This patch set adds support for the V2801F / CarlitoxxPro module. This
> > requires two changes:
> > 
> > 1) the module only supports single byte reads to the ID EEPROM,
> >    while we need to still permit sequential reads to the diagnostics
> >    EEPROM for atomicity reasons.
> > 
> > 2) we need to relax the encoding check when we have no reported
> >    capabilities to allow 1000base-X based on the module bitrate.
> > 
> > Thanks to Pali Rohár for responsive testing over the last two days.
> > 
> >  drivers/net/phy/sfp-bus.c | 11 ++++-----
> >  drivers/net/phy/sfp.c     | 63 +++++++++++++++++++++++++++++++++++++++++++----
> >  2 files changed, 63 insertions(+), 11 deletions(-)
> > 
> > -- 
> > RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> > FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!
> > 
> 
> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!